Subject: Re: [PATCH v2 11/16] rerere: let `rerere_path()` write paths into a caller-provided buffer

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 25 Feb 2025 07:24:20 +0100

On Mon, Feb 24, 2025 at 03:14:34PM -0800, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > So the only question is how and when to convert from time_t to
> > timestamp_t. I think our general strategy for when has been "as soon as
> > possible" which makes sense to me (most of the code only has to deal
> > with our one type). So I think doing it right after the stat() here
> > makes sense.
> 
> OK.
> 
> > All of which is to say it might be a bit more than a #leftoverbits.
> 
> OK.
> 
> Thanks for a dose of sanity.

Indeed, thanks for catching this and the discussion! I'll include the
fixup commit and resend a v3.

Patrick